﻿/* DEFAULTS
----------------------------------------------------------*/

html {

}

body {
    background: #eee;
    font-size: 0.9em;
    font-family: sans-serif;
    margin: 0px;
    padding: 0px;
    color: #336;
}

a {
    color: black;
}

    a:link, a:visited {
        color: black;
    }

    a:hover {
        color: #336;
        text-decoration: none;
    }

    a:active {
        color: #369;
    }

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #669;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1 {
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 1.5em;
    font-weight: 600;
    margin: .5em 0 1em 0;
    background: linear-gradient(90deg, #336, #669);
background: linear-gradient(90deg, #322e21, #b0adaa);
    color: white;
    min-width: 16em; 
    width: auto;
    display: inline-block;
    padding: .5em 1em;
    border-radius: 1em;
}

h3 {
    font-size: 1.3em;
    font-weight: BOLDER;
    margin: 2em 0 .3em 0;
    border-bottom: 1px solid #336;
    border-left: 1px solid #336;
    color: #669;
    width: auto;
    display: block;
    padding: .1em 2em .1em .5em;
    border-radius: 0 0 0 .5em;
}}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page {
    background: #ddd;
    margin: 0;
    border: 0px solid #369;
    border-radius: 10px;
    min-height: 900px;
}

.header {
    position: relative;
    margin: 0px;
    padding: 0;
    background: linear-gradient(90deg, #339, #336, #669);
background: linear-gradient(90deg, #322e21, #b0adaa);
    width: 100%;
    border-radius: 1px;
    white-space: nowrap;
}

.header h1 {
    font-weight: 700;
    margin: 0px;
    padding: 0px 0px 0px 20px;
    color: #eee;
color: #7cc8ce;
    border: none;
    line-height: 2em;
    font-size: 2em;
}

.main {
    padding: 0px;
    margin: 8px;
    min-height: 00px;
}

#acceso {
    background: url('../resources/img/fondos/fondo009.png') center center no-repeat;
    min-height: 800px;
    padding: 2em 3em 1em 3em;
    border-radius: 10px;
}

#acceso2 {
    margin-left: 30%;
    background-color: #ccd;
    width: 30em;
    opacity: .9;
    z-index: -10000;
    padding: 1em 3em;
    border-radius: 10px;
}


 #acceso2 * {
    font-weight: bold;
}

.leftCol {
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer {
    color: #369;
    padding: 8px 0px 0px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset, legend {
    margin: .5em 1em;
    padding: 0 .5em 1em .5em;
    border: 3px solid #669;
border: 3px solid #322e21;
    background-color: white;
background-color: #d5d2ce;
    border-radius: 10px;
}

fieldset p {
    margin: 2px 12px 10px 10px;
}

fieldset.login label, fieldset.register label, fieldset.changePassword label {
    display: block;
}

fieldset label.inline {
        display: inline;
}

legend {
    font-size: .9em;
    font-weight: 600;
    padding: .3em 1em;
    background-color: #669;
background-color: #322e21;
    color: white;
    margin-bottom: 1em;
}




/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.title {
    display: block;
    float: left;
    background: url('../resources/logos/logomf_2024.jpg') top left no-repeat;
    /* background-size: 612px;*/
    height: 70px;
    padding: 0 0 0 612px;
    margin: 0 0 0 0px;
}

.loginDisplay {
    font-size: 1.2em;
    display: block;
    text-align: right;
    padding: 3px 10px;
    color: White;
    margin-top: .2em;
}

.loginDisplay a:link {
    color: white;
}

.loginDisplay a:visited {
    color: white;
}

.loginDisplay a:hover {
    color: white;
}


.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}



/* * * * * * * * * * * * * */

.numero,
.pk,
.fecha,
.hora {
    text-align: right;
}


input, select, textarea {
    margin: .1em 0;
    background-color: #ccd;
background-color: #f6f6f6;
    border: 1px solid #99a;
    color: #003;
}

input[type=image],
input[type=checkbox] {
    margin: 0;
    background-color: inherit;
    border: 0;
}

input[type=button], input[type=submit], input[type=reset] {
    border: 2px solid #336;
    background-color: #669;
background-color: #7cc8ce;
    color:white;
color: #322e21;
    font-weight: bold;
    cursor: pointer;
}

textarea {
    width: 35em;
    height: 5em;
}

input.pk {
    width: 4.5em;
}

input.fecha {
    width: 5.5em;
}

input.hora {
    width: 3em;
}

input.numero {
    width: 6em;
}

input[type=checkbox] {
    margin-left: 1em;
}

input[disabled],
select[disabled],
textarea[disabled] {
    background-color: White;
    border: 1px dotted #ccc;
    color: Black;
}


.boton, .boton img {
    border: 0;
}

.id {
    color: White;
}

.botones {
    text-align: right;
    border-top: 1px solid gray;
    margin-top: 1em;
    padding-top: 1em;
}

.etq {
    width: 11em;
    text-align: right;
    display: block;
    float: left;
    margin-right: .5em;
}

.listaTabla {
    box-shadow: 0 .25em .5em .05em rgba(0,0,0,0.5);
    white-space: nowrap;
}

.wraped{
    white-space: normal;
}

.listaTabla caption > tr td {
border: 3px solid red;
background: red;
}


.listaTabla th {
    background-color: #446;
background-color: #7cc8ce;
    color: white;
color: #322e21;
    padding: .1em .3em;
}

.listaTabla th + th  {
    border-left: 2px solid white;
}


.listaTabla th a {
    color: white;
color: #322e21;
    text-decoration: none;
}

table.listaTabla tbody tr:hover {
    background-color: #bbb;
}

.listaTabla tbody {
    background-color: white;
}

.listaTabla td {
    padding: .1em .5em;
}

.asc {
    background-color: Red
}

.desc {
    background-color: Green
}

.fieldHeader {
    font-weight: bold;
}

.impar {
    background-color: #ccd;
background-color: #d5d2ce;
}

.columnaTitulo {
    background-color: #ccc;
    color: #003;
    text-align: right;
    font-weight: bolder;
}

.impar .columnaTitulo {
    background-color: #ccd;
}

.error {
    color: White;
    background-color: #369;
    font-weight: bolder;
    padding: 0 .5em;
    border-radius: .35em;
}

.errorResumen {
    background-color: #99b;
    padding: 1em;
    border: 0px solid #003;
    color: #003;
    background-image: url('../resources/icons/exclamation.png');
    background-position: 98% .7em;
    background-repeat: no-repeat;
    width: 30em;
    border-radius: 10px;
    font-weight: bold;
}

.errorResumen ul {
    list-style: none;
    margin: 1.5em 0 0 0;
    padding: 0;
 }

.errorResumen ul li {
    font-weight: normal;
}


#finSesion {
    text-align: center;
    padding-top: 3em;
    margin: 2em;
    border: 10px dotted #ccc;
    font-size: 2em;
}

.nolines {
    border: 2px solid #ccc;
    margin: 1em 0;
}

.nolines td {
    border: 0;
    text-transform: uppercase;
    padding: 0 .2em;
}

.info {
    border: 0;
    background: white;
    color: #999;
}


#buscador {
    margin: 1em 0;
}

#buscador select {
    margin-right: 1em;
}

.oculto {
    display: none;
}

caption {
    font-size: 1em;
    font-weight: 600;
    text-align: left;
    margin-top: 1em;
    text-indent: 1em;
    color: #336;
}

.admin {
    border: 1px dotted red;
}

#stamp {
    display: none;
}

.mayus {
    text-transform: uppercase;
}

#leyenda {
    font-size: .8em;
    font-style: oblique;
}


#cabeceraInforme {
    display: none;
}

.anchoCorto {
    width: 10em;
}

.anchoLargo {
    width: 20em;
}

textarea.anchoLargo {
    width: 30em;
}

.numerico {
    text-align: right;
    width: 6em;
}

table.tablaBordes caption {
    color: #330;
}

table.tablaBordes {
    border: 0px solid #330;
}

table.tablaBordes tr {
    border: 0px solid #663
}

#aecom {
    float: right;
    font-size: .7em;
    color: #553;
    padding: 0 5px;
}

.excel {
    background: url('../resources/icons/excel.png') center left no-repeat;
    padding: 10px 20px 10px 30px;
    margin-left: 10px; 
}




/** HOME **/


table tr th a {
    float: none;
    text-align: center;
}

span.nivel {
    border: 1px solid black;
    padding: .1em .3em;
    font-weight: bold;
    text-align: center;
}


#notifier {
    padding-top: 0.5em;
    float: right;
    color: white;
    padding-left: 1em;
    font-weight: bold;
}


div#notifier a {
    text-decoration: none;
}

#notifier a span#alertasUsuario {
    font-size: 1em;
    text-decoration: blink;
    padding: 0 .5em;
    background-color: lightgray;
    color: #669;
    border-radius: 10px;
}


#fvUltimoAvisoRemitido {
    float: right;
    color: #333;
    clear: both;
}

.noDisplay {
    display: none;
}

/******************************************/


div.content {
    float: left;
    width: content;
    padding: 1em;
    margin-bottom: 1em;
    min-height: 500px;
    border-radius: 10px;
    background-color: #ccc;
}

/**** Menú lateral ****/
.sidebar {
    float: left;
    margin-right: 2em;
    margin-bottom: 2em;
    padding: 0;
    width: auto;
    background-color: #ccc;
    min-height: 10em;
    color: #669;
    overflow: auto;
    border-radius: 10px;
    border: 0px solid #336;
    background: linear-gradient(90deg, #aab, #ccc);
background: linear-gradient(90deg, #b0adaa, #d5d2ce);
    box-shadow: 0 .1em .2em .05em rgba(0,0,0,0.5);
}

.sidebar a {
    display: block;
    color: black;
    padding: .5em;
    text-decoration: none;
    font-weight: bold;
}

.sidebar a.active {
    background-color: #663;
background-color: #b0adaa;
    color: white;
    background: linear-gradient(90deg, #336, #999);
background: linear-gradient(90deg, #322e21, #b0adaa);
color: #7cc8ce;
}

.sidebar a.fixed {
    background-color: #aab;
    color: #336;
background-color: #b0adaa;
color: #322e21;
}

.sidebar a:hover:not(.active) {
    background-color: #99a;
background-color: #7cc8ce;
    color: #336;
}

.sidebar a span {
    width: 1em; 
    margin-right: .5em;
}

/****************/
/*** Gráficos ***/
/****************/

div.graf {
    display: block;
    margin-bottom: 1em;
}

div.graf canvas {
    min-width: 200px;
    max-width: 30%;
    min-height: 150px;
    display: block;
    float: left;
    margin-left: 1em;
    cursor: pointer;
}

div.graf + hr {
    clear: both;
    color: blue;
    border: 1px solid #ccc;
}


.flotaIzq {
    float: left;
    margin-right: 1em;
}




#icos {
    font-size: 1em;
    font-weight: bold;
    padding: 1em 1em;
    color: #669;
    background-color: white;
}

#icos i {
    border: 2px solid #669;
    padding: 1px 1px 0 1px;
    border-radius: .2em;
}

.vacio {
    border: 0px solid lightgray;
    background-color: lightgray;
    text-align: center;
}